Bug 212483 - Version of build tools needs to be enforced
Version of build tools needs to be enforced
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2006-10-26 18:14 EDT by Nathan Kinder
Modified: 2015-12-07 11:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:52:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
New autogen script (1.09 KB, text/plain)
2006-10-26 18:14 EDT, Nathan Kinder
no flags Details
configure.ac diffs (663 bytes, patch)
2006-10-26 18:16 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2006-10-26 18:14:43 EDT
We need to enforce the versions os autoconf, automake, and libtool used to
generate build files.  To do this, I have written an autogen.sh script that will
check for the appropriate versions before running autoreconf.  This script
should be run when changes are made to configure.ac or Makefile.am instead of
running autoreconf directly.

We should also turn use the AM_MAINTAINER_MODE so the build doesn't attempt to
generate new files unless we specifically ask it to (with the
--enable-maintainer-mode configure option).

Along with the changes I'm attachign to this bug, I'd like to check in new
copies of the generated build files that were generated from using the new
autogen script.
Comment 1 Nathan Kinder 2006-10-26 18:14:43 EDT
Created attachment 139534 [details]
New autogen script
Comment 2 Nathan Kinder 2006-10-26 18:16:23 EDT
Created attachment 139535 [details]
configure.ac diffs
Comment 3 Rich Megginson 2006-10-26 18:19:24 EDT
Ok.
Comment 4 Nathan Kinder 2006-10-26 18:23:54 EDT
Checked into ldapserver (HEAD).  Thanks for the review Rich!

Checking in Makefile.in;
/cvs/dirsec/ldapserver/Makefile.in,v  <--  Makefile.in
new revision: 1.9; previous revision: 1.8
done
Checking in aclocal.m4;
/cvs/dirsec/ldapserver/aclocal.m4,v  <--  aclocal.m4
new revision: 1.2; previous revision: 1.1
done
RCS file: /cvs/dirsec/ldapserver/autogen.sh,v
done
Checking in autogen.sh;
/cvs/dirsec/ldapserver/autogen.sh,v  <--  autogen.sh
initial revision: 1.1
done
Checking in configure;
/cvs/dirsec/ldapserver/configure,v  <--  configure
new revision: 1.6; previous revision: 1.5
done
Checking in configure.ac;
/cvs/dirsec/ldapserver/configure.ac,v  <--  configure.ac
new revision: 1.6; previous revision: 1.5
done
Checking in ltmain.sh;
/cvs/dirsec/ldapserver/ltmain.sh,v  <--  ltmain.sh
new revision: 1.2; previous revision: 1.1
done
Comment 5 Rich Megginson 2008-01-02 16:31:21 EST
Verified.

Note You need to log in before you can comment on or make changes to this bug.